Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 430133 - gfs_quota hangs in do_list()
Summary: gfs_quota hangs in do_list()
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: gfs-utils
Version: 5.2
Hardware: All
OS: Linux
medium
medium
Target Milestone: rc
: ---
Assignee: Abhijith Das
QA Contact: GFS Bugs
URL:
Whiteboard:
Depends On: 225199
Blocks:
TreeView+ depends on / blocked
 
Reported: 2008-01-24 18:16 UTC by Abhijith Das
Modified: 2010-01-12 03:33 UTC (History)
0 users

Fixed In Version: RHBA-2008-0349
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-21 14:36:34 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2008:0349 normal SHIPPED_LIVE gfs-utils bug fix update 2008-05-20 12:50:54 UTC

Comment 1 Abhijith Das 2008-01-24 18:31:34 UTC
I missed checking in this fix for RHEL5. Checking it into RHEL5 cvs now.

cvs commit -m "fix for bug 430133 - We don't run through the entire gfs_quota
sparse file to do a list operation anymore. We get the layout of the gfs_quota
file on disk and only read quota information off the data blocks that are
actually in use. This is the userland (gfs_quota) part of the fix. There is
another accompanying gfs-kernel fix (bz 430134)" gfs_quota.h layout.c main.c
Makefile
Checking in gfs_quota.h;
/cvs/cluster/cluster/gfs/gfs_quota/gfs_quota.h,v  <--  gfs_quota.h
new revision: 1.2.16.1; previous revision: 1.2
done
Checking in layout.c;
/cvs/cluster/cluster/gfs/gfs_quota/layout.c,v  <--  layout.c
new revision: 1.3.2.1; previous revision: 1.3
done
Checking in main.c;
/cvs/cluster/cluster/gfs/gfs_quota/main.c,v  <--  main.c
new revision: 1.3.2.1; previous revision: 1.3
done
Checking in Makefile;
/cvs/cluster/cluster/gfs/gfs_quota/Makefile,v  <--  Makefile
new revision: 1.5.2.1; previous revision: 1.5
done


Comment 2 RHEL Product and Program Management 2008-01-24 18:36:20 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 errata-xmlrpc 2008-05-21 14:36:34 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2008-0349.html



Note You need to log in before you can comment on or make changes to this bug.